#!/bin/sh
#espace.tcl
#\
exec wish "$0" ${1+"$@"}
#*************************************************************************
#  Copyright (C) 2002 Eric Seigne <erics@rycks.com>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#**************************************************************************
#  File  : $$$
#  Author  : andre.connes@toulouse.iufm.fr
#  Modifier: andre.connes@toulouse.iufm.fr
#  Date    : 24/04/2002
#  Licence : GNU/GPL Version 2 ou plus
#
#  Description:
#  ------------
#
#  @version
#  @author     Andre Connes
#  @modifier   Andre Connes
#  @project    Le terrier
#  @copyright  Eric Seigne 24/04/2002
#
#  *************************************************************************

source espace.conf
source msg.tcl
set basedir [file dir $argv0]
cd $basedir
#utilit de ce cd ?
#wm resizable . 0 0

switch $tcl_platform(platform) {
    unix {
	if {![file exists $TRACEDIR]} {
	  file mkdir $TRACEDIR
	}
    }
    windows {
	if {![file exists [file join espace Log]} {
	  file mkdir [file join espace Log]
	}
    }
}

. configure -background #ffff80
set font {Arial 16}

########################
# 	Barre de menus	#
#-----------------------#

# Creation du menu utilise comme barre de menu:
menu .menu -tearoff 0

# Creation du menu Fichier
menu .menu.fichier -tearoff 0
.menu add cascade -label [mc Fichier] -menu .menu.fichier
#.menu.fichier add command -label [mc EditeurSce ] -command "lanceappli editeurp.tcl"
#.menu.fichier add command -label [mc EditeurSeq] -command "lanceappli editeurseq.tcl"
#.menu.fichier add command -label [mc Bilan] -command "lanceappli bilan.tcl"
#.menu.fichier add sep
.menu.fichier add command -label [mc Quitter ] -command exit

.menu add command -label [mc Activite] -command "lanceappli repere_espace.tcl"

.menu add command -label [mc Aide ]  -command "lanceappli aide.tcl"


. configure -menu .menu
set normal "-background {} -relief flat"
################
# Image de fond #
#################

set myimage [image create photo -file images/background.gif]
label .imagedisplayer -image $myimage
pack .imagedisplayer 

############
# Bindings #
############
bind . <Control-q> {exit}



proc lanceappli {appli} {
    exec wish $appli &
}
#modifier wish pour PC windaube



